Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.phase
Class AbstractPhaseInterceptor<T extends Message>

    java.lang.Object
      org.apache.cxf.phase.AbstractPhaseInterceptor<T>

All Implemented Interfaces:
  Interceptor<T>, PhaseInterceptor<T>

    public abstract class AbstractPhaseInterceptor<T extends Message>

extends java.lang.Object
implements PhaseInterceptor<T>

Constructor Summary
`AbstractPhaseInterceptor()`

Method Summary
`void` | `addAfter(java.lang.String i)`
`void` | `addBefore(java.lang.String i)`
`java.util.Set<java.lang.String>` | `getAfter()` A Set of IDs that this interceptor needs to run after.
`java.util.Set<java.lang.String>` | `getBefore()` A Set of IDs that this interceptor needs to run before.
`java.lang.String` | `getId()` The ID of the interceptor.
`java.lang.String` | `getPhase()`
`void` | `handleFault(T message)` Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
`boolean` | `isGET(T message)`
`void` | `setAfter(java.util.Set<java.lang.String> a)`
`void` | `setBefore(java.util.Set<java.lang.String> b)`
`void` | `setId(java.lang.String i)`
`void` | `setPhase(java.lang.String p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cxf.interceptor.Interceptor
`handleMessage`

Constructor Detail

### AbstractPhaseInterceptor

    public AbstractPhaseInterceptor()

Method Detail

### addBefore

    public void addBefore(java.lang.String i)

### addAfter

    public void addAfter(java.lang.String i)

### getAfter

    public java.util.Set<java.lang.String> getAfter()

  Description copied from interface: `PhaseInterceptor`
  A Set of IDs that this interceptor needs to run after.

  Specified by:
    `getAfter` in interface `PhaseInterceptor<T extends Message>`
  Returns:

### setAfter

    public void setAfter(java.util.Set<java.lang.String> a)

### getBefore

    public java.util.Set<java.lang.String> getBefore()

  Description copied from interface: `PhaseInterceptor`
  A Set of IDs that this interceptor needs to run before.

  Specified by:
    `getBefore` in interface `PhaseInterceptor<T extends Message>`
  Returns:

### setBefore

    public void setBefore(java.util.Set<java.lang.String> b)

### getId

    public java.lang.String getId()

  Description copied from interface: `PhaseInterceptor`
  The ID of the interceptor.

  Specified by:
    `getId` in interface `PhaseInterceptor<T extends Message>`
  Returns:

### setId

    public void setId(java.lang.String i)

### getPhase

    public java.lang.String getPhase()

  Specified by:
    `getPhase` in interface `PhaseInterceptor<T extends Message>`

### setPhase

    public void setPhase(java.lang.String p)

### handleFault

    public void handleFault(T message)

  Description copied from interface: `Interceptor`
  Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.

  Specified by:
    `handleFault` in interface `Interceptor<T extends Message>`

### isGET

    public boolean isGET(T message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

-